JUCE: juce::midi_ci::DeviceFeatures Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::DeviceFeatures Class Reference
juce_midi_ci » ci

Flags indicating the features that are supported by a given CI device. More...

`#include <juce_CIDeviceFeatures.h>`

## Public Member Functions
| DeviceFeatures ()=default
| Constructs a DeviceFeatures object with no flags enabled.
| DeviceFeatures (std::byte f)
| Constructs a DeviceFeatures object, taking flag values from the "Capability Inquiry Category Supported" byte in a CI Discovery message.
DeviceFeatures | withProfileConfigurationSupported (bool x=true) const
| Returns a new DeviceFeatures instance with profile configuration marked as supported.
DeviceFeatures | withPropertyExchangeSupported (bool x=true) const
| Returns a new DeviceFeatures instance with property exchange marked as supported.
DeviceFeatures | withProcessInquirySupported (bool x=true) const
| Returns a new DeviceFeatures instance with process inquiry marked as supported.
bool | isProfileConfigurationSupported () const
bool | isPropertyExchangeSupported () const
bool | isProcessInquirySupported () const
std::byte | getSupportedCapabilities () const
| Returns the feature flags formatted into a bitfield suitable for use as the "Capability Inquiry Category Supported" byte in a CI Discovery message.
bool | operator== (const DeviceFeatures &other) const
| Returns true if this and other both have the same flags set.
bool | operator!= (const DeviceFeatures &other) const
| Returns true if any flags in this and other differ.

## Detailed Description

Flags indicating the features that are supported by a given CI device.

## Constructor & Destructor Documentation

## ◆ DeviceFeatures() [1/2]

juce::midi_ci::DeviceFeatures::DeviceFeatures | ( |  | ) |
| default

Constructs a DeviceFeatures object with no flags enabled.

## ◆ DeviceFeatures() [2/2]

juce::midi_ci::DeviceFeatures::DeviceFeatures | ( | std::byte | f | ) |
| explicit

Constructs a DeviceFeatures object, taking flag values from the "Capability Inquiry Category Supported" byte in a CI Discovery message.

## Member Function Documentation

## ◆ withProfileConfigurationSupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withProfileConfigurationSupported | ( | bool | x = `true` | ) | const

Returns a new DeviceFeatures instance with profile configuration marked as supported.

References x.

## ◆ withPropertyExchangeSupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withPropertyExchangeSupported | ( | bool | x = `true` | ) | const

Returns a new DeviceFeatures instance with property exchange marked as supported.

References x.

## ◆ withProcessInquirySupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withProcessInquirySupported | ( | bool | x = `true` | ) | const

Returns a new DeviceFeatures instance with process inquiry marked as supported.

References x.

## ◆ isProfileConfigurationSupported()

bool juce::midi_ci::DeviceFeatures::isProfileConfigurationSupported | ( |  | ) | const

See also
  withProfileConfigurationSupported()

## ◆ isPropertyExchangeSupported()

bool juce::midi_ci::DeviceFeatures::isPropertyExchangeSupported | ( |  | ) | const

See also
  withPropertyExchangeSupported()

## ◆ isProcessInquirySupported()

bool juce::midi_ci::DeviceFeatures::isProcessInquirySupported | ( |  | ) | const

See also
  withProcessInquirySupported()

## ◆ getSupportedCapabilities()

std::byte juce::midi_ci::DeviceFeatures::getSupportedCapabilities | ( |  | ) | const

Returns the feature flags formatted into a bitfield suitable for use as the "Capability Inquiry Category Supported" byte in a CI Discovery message.

## ◆ operator==()

bool juce::midi_ci::DeviceFeatures::operator== | ( | const DeviceFeatures & | other | ) | const

Returns true if this and other both have the same flags set.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::DeviceFeatures::operator!= | ( | const DeviceFeatures & | other | ) | const

Returns true if any flags in this and other differ.

References operator==().

The documentation for this class was generated from the following file:

- juce_CIDeviceFeatures.h